﻿# Anbennar: commented vanilla stuff

rich_presence_flavor_status = {
	type = character

	text = {
		trigger = {
			is_game_view_open = barbershop
		}
		localization_key = rich_presence_barbershop
	}

	# text = { # Anbennar
		# trigger = {
			# any_character_war = {
				# using_cb = fp3_seljuk_invasion_cb
			# }
		# }
		# localization_key = rich_presence_fp3_seljuk_invasion_cb
	# }

	text = {
		trigger = {
			is_in_ongoing_great_holy_war = yes
		}
		localization_key = rich_presence_ghw
	}

	text = {
		trigger = {
			is_at_war_with_liege = yes
		}
		localization_key = rich_presence_liege_war
	}

	text = {
		trigger = {
			is_in_civil_war = yes
		}
		localization_key = rich_presence_civil_war
	}

	text = {
		trigger = {
			is_at_war_as_attacker = yes
		}
		localization_key = rich_presence_war_attacker
	}

	text = {
		trigger = {
			is_at_war_as_defender = yes
		}
		localization_key = rich_presence_war_defender
	}

	text = {
		trigger = {
			commanding_army ?= {
				is_army_in_raid = yes
			}
		}
		localization_key = rich_presence_raiding
	}
	
	text = {
		trigger = {
			is_imprisoned = yes
		}
		localization_key = rich_presence_prison
	}
	
	text = {
		trigger = {
			involved_activity ?= {
				has_activity_type = activity_pilgrimage
			}
		}
		localization_key = rich_presence_pilgrimage
	}
	
	text = {
		trigger = {
			involved_activity ?= {
				root = activity_host
				has_activity_type = activity_tour
			}
		}
		localization_key = rich_presence_tour
	}

	text = {
		trigger = {
			has_character_flag = holding_court_character_flag
		}
		localization_key = rich_presence_holding_court
	}
	
	text = {
		trigger = {
			involved_activity ?= {
				root = activity_host
				OR = {
					has_multiple_players = yes
					is_murder_activity_trigger = no
				}
			}
		}
		localization_key = rich_presence_hosting_activity
	}
	
	text = {
		trigger = {
			has_multiple_players = no
			involved_activity ?= {
				root = activity_host
				is_murder_activity_trigger = yes
			}
		}
		localization_key = rich_presence_hosting_murder_activity
	}
	
	text = {
		trigger = {
			involved_activity ?= {
				not = { root = activity_host }
			}
		}
		localization_key = rich_presence_attending_activity
	}
	
	text = {
		trigger = {
			stress_level >= 3
		}
		localization_key = rich_presence_stress_3
	}
	
	text = {
		trigger = {
			stress_level >= 2
		}
		localization_key = rich_presence_stress_2
	}
	
	text = {
		setup_scope = {
			random_scheme = {
				limit = { intrigue_scheme_trigger = yes }
				save_scope_as = scheme
			}
		}
		trigger = {
			exists = scope:scheme
			has_multiple_players = no
		}
		localization_key = rich_presence_intrigue_scheme
	}
	
	text = {
		setup_scope = {
			random_scheme = {
				limit = { diplomacy_scheme_trigger = yes }
				save_scope_as = scheme
			}
		}
		trigger = {
			exists = scope:scheme
		}
		localization_key = rich_presence_diplomacy_scheme
	}
	
	text = {
		setup_scope = {
			random_character_trait = {
				limit = { 
					is_debilitating_illness_trait = yes
				}
				save_scope_as = trait
			}
		}
		trigger = {
			exists = scope:trait
			health <= death_chance_dying_health
		}
		localization_key = rich_presence_dying_illness_trait
	}

	text = {
		trigger = {
			health <= death_chance_dying_health
		}
		localization_key = rich_presence_dying
	}

	text = {
		setup_scope = {
			random_owned_story = {
				limit = {
					story_type = story_cycle_house_feud
					has_variable = house_feud_house
				}
				var:house_feud_house = {
					save_scope_as = house
				}
			}
		}
		trigger = {
			exists = scope:house
		}
		localization_key = rich_presence_house_feud
	}

	text = {
		trigger = {
			is_diarch = yes
		}
		localization_key = rich_presence_diarch
	}

	# text = { # Anbennar
		# trigger = {
			# has_character_modifier = fp3_struggle_caliph_super_suspicious_modifier
		# }
		# localization_key = rich_presence_caliph_super_suspicious
	# }

	# text = { # Anbennar
		# trigger = {
			# house = { has_house_modifier = fp3_house_modifier_rebuilding_efforts }
		# }
		# localization_key = rich_presence_house_modifier_rebuilding_efforts
	# }
	
	# text = { # Anbennar
		# trigger = {
			# house = { has_house_modifier = fp3_house_modifier_frontier_ambitions }
		# }
		# localization_key = rich_presence_house_modifier_frontier_ambitions
	# }
	
	# text = { # Anbennar
		# trigger = {
			# house = { has_house_modifier = fp3_house_modifier_destroyed_the_caliphate }
		# }
		# localization_key = rich_presence_house_modifier_destroyed_the_caliphate
	# }

	text = {
		trigger = {
			house = { has_house_unity_stage = harmonious }
			this = house.house_head
		}
		localization_key = rich_presence_house_unity_harmonious
	}

	text = {
		trigger = {
			house = { has_house_unity_stage = antagonistic }
			this = house.house_head
		}
		localization_key = rich_presence_house_unity_antagonistic
	}
	
	# text = { # Anbennar
		# trigger = {
			# any_realm_county = {
				# any_county_province = { geographical_region = world_persian_empire }
			# }
			# global_var:fp3_struggle_ending ?= flag:fp3_struggle_strengthen_caliphate_ending
		# }
		# localization_key = rich_presence_fp3_struggle_strengthen_caliphate_ending
	# }

	# text = { # Anbennar
		# trigger = {
			# any_realm_county = {
				# any_county_province = { geographical_region = world_persian_empire }
			# }
			# global_var:fp3_struggle_ending ?= flag:fp3_struggle_rekindle_iran_ending
		# }
		# localization_key = rich_presence_fp3_struggle_rekindle_iran_ending
	# }

	# text = { # Anbennar
		# trigger = {
			# has_trait = fp3_struggle_detractor
		# }
		# localization_key = rich_presence_fp3_struggle_detractor
	# }

	# text = { # Anbennar
		# trigger = {
			# has_trait = fp3_struggle_supporter
		# }
		# localization_key = rich_presence_fp3_struggle_supporter
	# }

	# text = { # Anbennar
		# trigger = {
			# any_character_struggle = {
				# involvement = involved
		 		# is_struggle_type = iberian_struggle
			# }
		# }
		# localization_key = rich_presence_fp2_struggle_involvement
	# }

	# text = { # Anbennar
		# trigger = {
			# any_character_struggle = {
				# involvement = involved
	  			# is_struggle_type = persian_struggle
			# }
		# }
		# localization_key = rich_presence_fp3_struggle_involvement
	# }
	
	text = {
		trigger = {
			OR = {
				any_tax_collector = { count = 0 }
				any_tax_collector = {
					tax_slot = {
						any_tax_slot_vassal = {
							count = 0
						}
					}
				}
			}
		}
		localization_key = rich_presence_fp3_tax_collectors_min
	}

	text = {
		trigger = {
			OR = {
				any_tax_collector = {
					count = all
					tax_slot = {
						OR = {
							is_active_obligation = jizya_special_rights_tax_collector
							is_active_obligation = deqhan_special_rights_tax_collector
							is_active_obligation = strict_taxation_tax_collector
						}
					}
				}
			}
		}
		localization_key = rich_presence_fp3_tax_collectors_max
	}
	
	text = {
		trigger = {
			has_trait = kinslayer
		}
		localization_key = rich_presence_kinslayer
	}
	
	text = {
		trigger = {
			has_trait = cannibal
		}
		localization_key = rich_presence_cannibal
	}
	
	text = {
		trigger = {
			faith.religious_head ?= {
				this = root
			}
		}
		localization_key = rich_presence_religion_head
	}
	
	# text = { # Anbennar
		# trigger = {
			# has_title = title:e_roman_empire
		# }
		# localization_key = rich_presence_rome
	# }
	
	text = {
		trigger = {
			any_spouse = {
				is_close_family_of = root
			}
		}
		localization_key = rich_presence_loves_family_too_much
	}
	
	text = {
		trigger = {
			num_of_relation_nemesis > 0
		}
		localization_key = rich_presence_enemies
	}

	text = {
		trigger = {
			is_councillor = yes
		}
		localization_key = rich_presence_councillor
	}

	text = {
		trigger = {
			has_named_dog_trigger = yes
		}
		localization_key = rich_presence_dog
	}

	text = {
		trigger = {
			has_named_cat_trigger = yes
		}
		localization_key = rich_presence_cat
	}	
	
	text = {
		trigger = {
			# age >= 90
			# Anbennar
			age >= age_90_racial_equivalent
		}
		localization_key = rich_presence_very_old
	}

	text = {
		trigger = {
			has_trait = torturer
		}
		localization_key = rich_presence_torturer
	}
	
	text = {
		trigger = {
			has_trait = seducer
		}
		localization_key = rich_presence_seduction
	}	
	
	text = {
		trigger = {
			has_trait = poet
		}
		localization_key = rich_presence_poet
	}

	text = {
		trigger = {
			has_trait = drunkard
		}
		localization_key = rich_presence_drinking
	}
	
	text = {
		trigger = {
			has_trait = gluttonous
		}
		localization_key = rich_presence_gluttonous
	}
	
	text = {
		trigger = {
			has_trait = content
		}
		localization_key = rich_presence_content
	}
	
	text = {
		trigger = {
			has_trait = craven
		}
		localization_key = rich_presence_craven
	}
	
	text = {
		trigger = {
			has_trait = paranoid
		}
		localization_key = rich_presence_paranoid
	}
	
	text = {
		trigger = {
			has_trait = greedy
		}
		localization_key = rich_presence_greedy
	}
	
	text = {
		trigger = {
			stewardship <= low_skill_rating
		}
		localization_key = rich_presence_ruling_poorly
	}
	
	text = {
		trigger = {
			gold >= 1000
		}
		localization_key = rich_presence_hoarding_gold
	}

	# text = { # Anbennar
		# trigger = {
			# has_trait = sayyid
		# }
		# localization_key = rich_presence_sayyid
	# }

	text = {
		trigger = {
			any_sub_realm_county = {
				title_province = {
					any_province_legend = {
						legend_protagonist = root
					}
				}
			}
		}
		localization_key = rich_presence_legend
	}

	text = {
		trigger = {
			any_sub_realm_county = {
				any_county_province = {
					any_province_epidemic = {
						count >= 1
						outbreak_intensity >= major
					}
				}
			}
		}
		localization_key = rich_presence_epidemic
	}

	text = {
		trigger = {
			has_trait = consumption
		}
		localization_key = rich_presence_epidemic_consumption
	}

	text = {
		trigger = {
			has_trait = typhus
		}
		localization_key = rich_presence_epidemic_typhus
	}

	text = {
		trigger = {
			has_trait = bubonic_plague
		}
		localization_key = rich_presence_epidemic_bubonic_plague
	}

	text = {
		trigger = {
			has_trait = smallpox
		}
		localization_key = rich_presence_epidemic_smallpox
	}

	text = {
		trigger = {
			has_trait = dysentery
		}
		localization_key = rich_presence_epidemic_dysentery
	}

	text = {
		trigger = {
			has_trait = ergotism
		}
		localization_key = rich_presence_epidemic_ergotism
	}

	text = {
		localization_key = rich_presence_default
		fallback = yes
	}
}
